Skip to main content
GET
/
conversations
/
{id}
/
messages
List messages in a conversation
curl --request GET \
  --url https://api.awardee.dev/v1/conversations/{id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "has_more": true,
  "next_cursor": "<string>",
  "data": [
    {
      "object": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metadata": null,
      "parts": [
        {
          "object": "<string>",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "order": 0,
          "text": "<string>",
          "tool_name": "<string>",
          "tool_call_id": "<string>",
          "tool_input": null,
          "tool_output": null,
          "tool_error_text": "<string>",
          "file_url": "<string>",
          "file_media_type": "<string>",
          "file_filename": "<string>",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Path Parameters

id
string<uuid>
required

Query Parameters

cursor
string
limit
integer
Required range: 1 <= x <= 100

Response

Messages

object
string
required
Allowed value: "list"
has_more
boolean
required
next_cursor
string | null
required
data
object[]
required